#include "cmlib_private_config.hpp"

#include <myx/base/config.hpp>

#include <myx/filesystem/paths.hpp>

#include <QCoreApplication>

namespace MF = myx::filesystem;

// Переменные для защиты экземпляра класса MF::Paths
std::atomic< MF::Paths* > MF::Paths::m_instance;
std::mutex MF::Paths::m_mutex;

int main( int argc, char** argv )
{
	(void)argc;
	(void)argv;
	QCoreApplication::setApplicationName( CMLIB_PROJECT_NAME );
	MF::Paths* paths = MF::Paths::getInstance();

	paths->init( CMLIB_PROJECT_NAME, "conf" );
	paths->makeDefaultDirectories();
	paths->findConfigFile( "test" );

	return( 0 );
}
